using System;
using System.Runtime.ExceptionServices;

namespace System.Reactive.PlatformServices
{
	internal class ExceptionServicesImpl : GInterface6
	{
		public void Rethrow(Exception exception)
		{
			ExceptionDispatchInfo.Capture(exception).Throw();
		}
	}
}
